# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   test62
# FileName:      conftest.py
# Author:       lao_zhao
# Datetime:     2024/9/4 15:43
# Description:
# 
# ---------------------------------------------------------------------------
import pytest
from study_pytest.apiAutoTest_v3.common.db import DB
from study_pytest.apiAutoTest_v3.request_method.request_method import RequestMethod


# DB自定义固件
@pytest.fixture(scope="session")
def fix_db():
    db = DB()
    yield db
    db.close()


# RequestMethod自定义固件
@pytest.fixture(scope="session")
def fix_req():
    req = RequestMethod()
    yield req

